fw_cdev_send_response Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_send_response - Send an asynchronous response packet : Response code as determined by the userspace handler : Length of outgoing payload, in bytes : Userspace pointer to payload : The handle from the &fw_cdev_event_request

Send a response to an incoming request. By setting up an address range using the FW_CDEV_IOC_ALLOCATE ioctl, userspace can listen for incoming requests. An incoming request will generate an FW_CDEV_EVENT_REQUEST, and userspace must send a reply using this ioctl. The event has a handle to the kernel-side pending transaction, which should be used with this ioctl.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h